# ClosedLoopReachability.jl

[![Build Status](https://github.com/JuliaReach/ClosedLoopReachability.jl/actions/workflows/ci.yml/badge.svg?branch=master)](https://github.com/JuliaReach/ClosedLoopReachability.jl/actions/workflows/ci.yml?query=branch%3Amaster)
[![Documentation](https://img.shields.io/badge/docs-latest-blue.svg)](https://juliareach.github.io/ClosedLoopReachability.jl/dev/)
[![license](https://img.shields.io/github/license/mashape/apistatus.svg?maxAge=2592000)](https://github.com/juliareach/ClosedLoopReachability.jl/blob/master/LICENSE)
[![Code coverage](http://codecov.io/github/JuliaReach/ClosedLoopReachability.jl/coverage.svg?branch=master)](https://codecov.io/github/JuliaReach/ClosedLoopReachability.jl?branch=master)
[![Join the chat at https://gitter.im/JuliaReach/Lobby](https://badges.gitter.im/JuliaReach/Lobby.svg)](https://gitter.im/JuliaReach/Lobby?utm_source=badge&utm_medium=badge&utm_campaign=pr-badge&utm_content=badge)

This package implements methods to analyze closed-loop control systems using reachability analysis.

Currently we support neural-network controllers.


## 📜 How to cite

If you use this package in your work, please cite it using the metadata in [CITATION.bib](https://github.com/JuliaReach/LazySets.jl/blob/master/CITATION.bib).

<details>
<summary>Click to see BibTeX entry. </summary>

```
@inproceedings{SchillingFG22,
  author    = {Christian Schilling and
               Marcelo Forets and
               Sebasti{\'{a}}n Guadalupe},
  title     = {Verification of Neural-Network Control Systems by Integrating {T}aylor
               Models and Zonotopes},
  booktitle = {{AAAI}},
  pages     = {8169--8177},
  publisher = {{AAAI} Press},
  year      = {2022},
  url       = {https://ojs.aaai.org/index.php/AAAI/article/view/20790},
  doi       = {10.1609/aaai.v36i7.20790}
}
```

</details>
